de.esprit.netsuite.server.pathtree

## Class PathTreeManager

- java.lang.Object
- - de.esprit.common.util.DumpableObject
  - - de.esprit.appsuite.launch.AbstractApplicationObject<S>
    - - de.esprit.netsuite.server.AbstractServerObject<ServerContext>
      - - de.esprit.netsuite.server.pathtree.PathTreeManager

- All Implemented Interfaces:
    ApplicationObject<ServerContext>, CloseableComponent, SimpleLogSupport, Dumpable, ServerObject<ServerContext>, java.lang.AutoCloseable

      public final class PathTreeManager
      extends AbstractServerObject<ServerContext>
      implements CloseableComponent

  This manager maintains a server side `PathTree` which makes the servers data-directory accessible and observable by clients. Note that this manager caches a `ServerPathTreeModelDriver` for each client accessing the server side `PathTree`. The client specific driver is started on client-login and stopped on client-logout.
  Author:
    Rainer Buesch

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PathTreeManager(ServerContext serverCtx)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()`
    `ServerPathTreeModelDriver` | `getDriver(SessionId sessionId)`

    - ### Methods inherited from class de.esprit.netsuite.server.AbstractServerObject

      `checkPermission, getServerConfig, getServerContext, getStatisticManager, toString`

    - ### Methods inherited from class de.esprit.appsuite.launch.AbstractApplicationObject

      `getApplicationContext, getLogChannel, isLogDebug, isLogVerbose, logDebug, logDump, logError, logError, logFatal, logInfo, logVerbose, logWarning, setLogChannel`

    - ### Methods inherited from class de.esprit.common.util.DumpableObject

      `configureDumpHeadlineLength, configureDumpMaxElementsPrinted, copyDumpStringValues, copyToStringValues, createDumpHeader, toDumpString, toDumpString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### PathTreeManager

          public PathTreeManager(ServerContext serverCtx)

  - ### Method Detail

    - #### close

          public void close()
                     throws java.lang.Exception

      Specified by:
        `close` in interface `java.lang.AutoCloseable`
      Throws:
        `java.lang.Exception`

    - #### getDriver

          public ServerPathTreeModelDriver getDriver(SessionId sessionId)

Copyright © 2014 EsprIT-Systems. All Rights Reserved.